# region

A region is a general division of an OpenStack deployment. You can associate zero or more sub-regions with a region to create a tree-like structured hierarchy. Applies to Identity v3.

## region create

Create new region

    openstack region create
        [--parent-region <region-id>]
        [--description <description>]
        <region-id>

--parent-region <region-id>

  Parent region ID

--description <description>

  New region description

region-id

  New region ID

## region delete

Delete region(s)

    openstack region delete <region-id> [<region-id> ...]

region-id

  Region ID(s) to delete

## region list

List regions

    openstack region list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--parent-region <region-id>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--parent-region <region-id>

  Filter by parent region ID

## region set

Set region properties

    openstack region set
        [--parent-region <region-id>]
        [--description <description>]
        <region-id>

--parent-region <region-id>

  New parent region ID

--description <description>

  New region description

region-id

  Region to modify

## region show

Display region details

    openstack region show <region-id>

region-id

  Region to display

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.